import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {TaskComponent} from './task/task.component';
import {MdButtonModule, MdCardModule, MdRadioModule} from '@angular/material';
import {PointPipe} from './linear-graph/point.pipe';
import {DrawLinearFunctionComponent} from './linear-graph/linear-graph.component';
import { SingleChoiceComponent } from './single-choice/single-choice.component';

@NgModule({
  imports: [
    CommonModule,
    MdRadioModule,
    MdCardModule,
    MdButtonModule
  ],
  declarations: [
    TaskComponent,
    DrawLinearFunctionComponent,
    PointPipe,
    SingleChoiceComponent
  ],
  exports: [
    DrawLinearFunctionComponent,
    TaskComponent,
    PointPipe
  ]
})
export class TaskModule { }
