import {AfterViewInit, Component, ElementRef, Input, OnInit, Renderer2, ViewChild} from '@angular/core';

import {Task} from './task';

@Component({
  selector: 'task-wrapper',
  templateUrl: './task.component.html',
  styleUrls: ['./task.component.scss']
})
export class TaskComponent implements OnInit, AfterViewInit {

  @Input() task: Task;

  width;

  @ViewChild('taskBody')
  taskBody: ElementRef;

  constructor(
  ) {}

  ngOnInit() {

  }

  ngAfterViewInit() {
    // Timeout required so the width is only polled once the element is actually drawn.
    setTimeout(() => {
      this.setWidth();
    }, 0);
  }

  setWidth() {
    this.width = Math.min(this.taskBody.nativeElement.offsetWidth - 40, 400);
  }

}
